# FdoIRasterPropertyDictionary Class Reference

`#include <IRasterPropertyDictionary.h>`

Inheritance diagram for FdoIRasterPropertyDictionary:

[legend]

List of all members.

## Detailed Description

The FdoIRasterPropertyDictionary exposes a dictionary style interface to the raster properties. Through this interface the non-standard properties of a raster image can be determined and their values can be retrieved and set. Data values are exchanged through the FdoDataValue object to accommodate various data types, boolean, integer, double, string etc.

Definition at line 36 of file IRasterPropertyDictionary.h.

## Public Member Functions
virtual FDO_API FdoDataValue * | GetProperty (FdoString *name)=0
| Gets the value of the specified property (or its default).
virtual FDO_API FdoDataType | GetPropertyDataType (FdoString *name)=0
| Gets the data type for the specified property.
virtual FDO_API FdoDataValue * | GetPropertyDefault (FdoString *name)=0
| Gets the default value for the specified property.
virtual FDO_API FdoStringCollection * | GetPropertyNames ()=0
| Gets the names of all the properties that apply to this image as a collection of Strings. The order of the property names in the collection dictate the order in which they need to be specified. This is especially important for the success of the EnumeratePropertyValues method as properties that occur earlier in the collection may be required for successful enumeration of properties that appear later in the collection.
virtual FDO_API FdoDataValueCollection * | GetPropertyValues (FdoString *name)=0
| Access the values of the specified enumerable property. The property must respond TRUE to IsPropertyEnumerable.
virtual FDO_API bool | IsPropertyEnumerable (FdoString *name)=0
| Predicate to determine if the property is enumerable (has more than one value).
virtual FDO_API bool | IsPropertyRequired (FdoString *name)=0
| Predicate to determine if the property is required to be set.
virtual FDO_API void | SetProperty (FdoString *name, FdoDataValue *value)=0
| Sets the value of the specified property.
virtual FDO_API void | SetPropertyValues (FdoString *name, FdoDataValueCollection *collection)=0
| Set the values of the specified enumerable property. The property must respond TRUE to IsPropertyEnumerable. Clients will need to use SetPropertyValues when creating an image with specific values for the enumerable property. An example would be setting a table of wavelength ranges corresponding to the false colour used to encode the image.

The documentation for this class was generated from the following file:

- IRasterPropertyDictionary.h